/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portlet.announcements.model;

import com.liferay.portal.ModelListenerException;
import com.liferay.portal.model.BaseModelListener;
import com.liferay.portal.model.Group;
import com.liferay.portal.service.ClassNameLocalServiceUtil;
import com.liferay.portlet.announcements.service.AnnouncementsEntryLocalServiceUtil;

/**
 * @author Christopher Kian
 */
public class GroupModelListener extends BaseModelListener<Group> {

	@Override
	public void onBeforeRemove(Group group) throws ModelListenerException {
		try {
			if (group.isSite()) {
				AnnouncementsEntryLocalServiceUtil.deleteEntries(
					group.getClassNameId(), group.getGroupId());
			}
			else {
				AnnouncementsEntryLocalServiceUtil.deleteEntries(
					group.getClassNameId(), group.getClassPK());

				if (group.isOrganization()) {
					long classNameId = ClassNameLocalServiceUtil.getClassNameId(
						Group.class);

					AnnouncementsEntryLocalServiceUtil.deleteEntries(
						classNameId, group.getGroupId());
				}
			}
		}
		catch (Exception e) {
			throw new ModelListenerException(e);
		}
	}

}